Results 1 to 10 of 10

Thread: How to install Make on my OpenSuse 11.4

  1. #1

    Default How to install Make on my OpenSuse 11.4

    g day dear community -

    i tried to install some Perl packages via command-line - but if you have a look at the code then you see that Make is missing.

    where can i find make!`

    see the comments in the command-line:


    PHP Code:
    Checking if your kit is complete...
    Looks good
    Writing Makefile 
    for Test::Simple
    Can
    't exec "make": Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      MSCHWERN/Test-Simple-0.98.tar.gz
      make -- NOT OK
    Running make test
      Can'
    t test without successful make
    Running make install
      Make had returned bad status
    install seems impossible
    Running make 
    for T/TO/TOKUHIROM/HTML-TreeBuilder-LibXML-0.15.tar.gz
      Has already been unwrapped into directory 
    /root/.cpan/build/HTML-TreeBuilder-LibXML-0.15-xp_Ywo

      CPAN
    .pmGoing to build T/TO/TOKUHIROM/HTML-TreeBuilder-LibXML-0.15.tar.gz

    Warning
    Prerequisite 'HTML::TreeBuilder::XPath => 0.14' for 'TOKUHIROM/HTML-TreeBuilder-LibXML-0.15.tar.gz' failed when processing 'MIROD/HTML-TreeBuilder-XPath-0.14.tar.gz' with 'make => NO'Continuingbut chances to succeed are limited.
    WarningPrerequisite 'Test::More => 0.98' for 'TOKUHIROM/HTML-TreeBuilder-LibXML-0.15.tar.gz' failed when processing 'MSCHWERN/Test-Simple-0.98.tar.gz' with 'make => NO'Continuingbut chances to succeed are limited.
    Can't exec "make": Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      TOKUHIROM/HTML-TreeBuilder-LibXML-0.15.tar.gz
      make -- NOT OK
    Running make test
      Can'
    t test without successful make
    Running make install
      Make had returned bad status
    install seems impossible
    Failed during this command
    :
     
    MIROD/XML-XPathEngine-0.13.tar.gz            make NO
     MIROD
    /HTML-TreeBuilder-XPath-0.14.tar.gz     make NO
     MSCHWERN
    /Test-Simple-0.98.tar.gz             make NO
     TOKUHIROM
    /HTML-TreeBuilder-LibXML-0.15.tar.gzmake NO 
    well i need Make

    should i find this in the repository!?

  2. #2
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: How to install Make on my OpenSuse 11.4

    Quote Originally Posted by dilbertone View Post
    g day dear community -

    i tried to install some Perl packages via command-line - but if you have a look at the code then you see that Make is missing.

    where can i find make!`

    see the comments in the command-line:


    PHP Code:
    Checking if your kit is complete...
    Looks good
    Writing Makefile 
    for Test::Simple
    Can
    't exec "make": Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      MSCHWERN/Test-Simple-0.98.tar.gz
      make -- NOT OK
    Running make test
      Can'
    t test without successful make
    Running make install
      Make had returned bad status
    install seems impossible
    Running make 
    for T/TO/TOKUHIROM/HTML-TreeBuilder-LibXML-0.15.tar.gz
      Has already been unwrapped into directory 
    /root/.cpan/build/HTML-TreeBuilder-LibXML-0.15-xp_Ywo

      CPAN
    .pmGoing to build T/TO/TOKUHIROM/HTML-TreeBuilder-LibXML-0.15.tar.gz

    Warning
    Prerequisite 'HTML::TreeBuilder::XPath => 0.14' for 'TOKUHIROM/HTML-TreeBuilder-LibXML-0.15.tar.gz' failed when processing 'MIROD/HTML-TreeBuilder-XPath-0.14.tar.gz' with 'make => NO'Continuingbut chances to succeed are limited.
    WarningPrerequisite 'Test::More => 0.98' for 'TOKUHIROM/HTML-TreeBuilder-LibXML-0.15.tar.gz' failed when processing 'MSCHWERN/Test-Simple-0.98.tar.gz' with 'make => NO'Continuingbut chances to succeed are limited.
    Can't exec "make": Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      TOKUHIROM/HTML-TreeBuilder-LibXML-0.15.tar.gz
      make -- NOT OK
    Running make test
      Can'
    t test without successful make
    Running make install
      Make had returned bad status
    install seems impossible
    Failed during this command
    :
     
    MIROD/XML-XPathEngine-0.13.tar.gz            make NO
     MIROD
    /HTML-TreeBuilder-XPath-0.14.tar.gz     make NO
     MSCHWERN
    /Test-Simple-0.98.tar.gz             make NO
     TOKUHIROM
    /HTML-TreeBuilder-LibXML-0.15.tar.gzmake NO 
    well i need Make

    should i find this in the repository!?
    In openSUSE 11.4, there is an application called make from the repository openSUSE-Oss. You could open up YaST / Software / Software Management, search on make and install or right click the file and select update to reinstall it. Your error seems to indicate a problem with using make as opposed to make not being present. But it could be corrupt perhaps.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  3. #3

    Default Re: How to install Make on my OpenSuse 11.4

    hi James - thx for the reply

    do you mean GNU make!? Where is the repo!? i tried to find it - but could not

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    24,207
    Blog Entries
    15

    Default Re: How to install Make on my OpenSuse 11.4

    Quote Originally Posted by dilbertone
    g day dear community -

    i tried to install some Perl packages via command-line - but if you
    have a look at the code then you see that Make is missing.

    where can i find make!`

    SEE THE COMMENTS IN THE COMMAND-LINE:
    Hi
    It's only failing the test, which can happen. Most are already build in
    devel:languageserl, just search;
    http://software.opensuse.org/search?...ude_debug=true

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.9-desktop
    up 7:13, 5 users, load average: 0.04, 0.12, 0.13
    GPU GeForce 8600 GTS Silent - Driver Version: 290.10


  5. #5

    Default Re: How to install Make on my OpenSuse 11.4

    hello dear Malcom - great to hear from you

    well i have a closer look at this!

    Many thanks. Greetings
    Martin

  6. #6

    Default Re: How to install Make on my OpenSuse 11.4

    hi at all


    well i guess that i still miss MAKE ( which is obviously GNU make - isnt it !?)


    see the following...
    PHP Code:

    cpan
    [1]> install WWW::Mechanize::Firefox
    Going to read 
    '/root/.cpan/Metadata'
      
    Database was generated on Fri09 Dec 2011 00:28:36 GMT
    Running install 
    for module 'WWW::Mechanize::Firefox'
    Running make for C/CO/CORION/WWW-Mechanize-Firefox-0.58.tar.gz
    Fetching with LWP
    :
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/C/CO/CORION/WWW-Mechanize-Firefox-0.58.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/C/CO/CORION/CHECKSUMS
    Checksum for /root/.cpan/sources/authors/id/C/CO/CORION/WWW-Mechanize-Firefox-0.58.tar.gz ok
    Scanning cache 
    /root/.cpan/build for sizes
    ............................................................................DONE

      CPAN
    .pmGoing to build C/CO/CORION/WWW-Mechanize-Firefox-0.58.tar.gz

    (Re)Creating lib/WWW/Mechanize/Firefox/Examples.pm
    Can
    't locate HTML/Selector/XPath.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.12.3/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.12.3 /usr/lib/perl5/vendor_perl/5.12.3/i586-linux-thread-multi /usr/lib/perl5/vendor_perl/5.12.3 /usr/lib/perl5/5.12.3/i586-linux-thread-multi /usr/lib/perl5/5.12.3 . lib) at ./examples/../lib/WWW/Mechanize/Firefox.pm line 10.
    BEGIN failed--compilation aborted at ./examples/../lib/WWW/Mechanize/Firefox.pm line 10.
    Compilation failed in require at examples/gen_examples_pod.pl line 32.
    Checking if your kit is complete...
    Looks good
    Warning: prerequisite HTML::Selector::XPath 0 not found.
    Warning: prerequisite MozRepl::RemoteObject 0.27 not found.
    Warning: prerequisite Object::Import 0 not found.
    Warning: prerequisite Shell::Command 0 not found.
    Warning: prerequisite Task::Weaken 0 not found.
    Writing Makefile for WWW::Mechanize::Firefox
    ---- Unsatisfied dependencies detected during ----
    ---- CORION/WWW-Mechanize-Firefox-0.58.tar.gz ----
        Task::Weaken [requires]
        Object::Import [requires]
        Shell::Command [requires]
        MozRepl::RemoteObject [requires]
        HTML::Selector::XPath [requires]
    Running make test
      Delayed until after prerequisites
    Running make install
      Delayed until after prerequisites
    Running install for module '
    Task::Weaken'
    Running make for A/AD/ADAMK/Task-Weaken-1.04.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/A/AD/ADAMK/Task-Weaken-1.04.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/A/AD/ADAMK/CHECKSUMS
    Checksum for /root/.cpan/sources/authors/id/A/AD/ADAMK/Task-Weaken-1.04.tar.gz ok

      CPAN.pm: Going to build A/AD/ADAMK/Task-Weaken-1.04.tar.gz

    Checking if your kit is complete...
    Looks good
    Writing Makefile for Task::Weaken
    Can'
    t exec "make"Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      ADAMK
    /Task-Weaken-1.04.tar.gz
      make 
    -- NOT OK
    'YAML' not installedwill not store persistent state
    Running make test
      Can
    't test without successful make
    Running make install
      Make had returned bad status, install seems impossible
    Running install for module '
    Object::Import'
    Running make for A/AM/AMBRUS/Object-Import-1.002.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/A/AM/AMBRUS/Object-Import-1.002.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/A/AM/AMBRUS/CHECKSUMS
    Checksum for /root/.cpan/sources/authors/id/A/AM/AMBRUS/Object-Import-1.002.tar.gz ok

      CPAN.pm: Going to build A/AM/AMBRUS/Object-Import-1.002.tar.gz

    Checking if your kit is complete...
    Looks good
    Warning: prerequisite MRO::Compat 0 not found.
    Writing Makefile for Object::Import
    ---- Unsatisfied dependencies detected during ----
    ----     AMBRUS/Object-Import-1.002.tar.gz    ----
        MRO::Compat [requires]
    Running make test
      Delayed until after prerequisites
    Running make install
      Delayed until after prerequisites
    Running install for module '
    MRO::Compat'
    Running make for F/FL/FLORA/MRO-Compat-0.11.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/F/FL/FLORA/MRO-Compat-0.11.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/F/FL/FLORA/CHECKSUMS
    Checksum for /root/.cpan/sources/authors/id/F/FL/FLORA/MRO-Compat-0.11.tar.gz ok

      CPAN.pm: Going to build F/FL/FLORA/MRO-Compat-0.11.tar.gz

    Checking if your kit is complete...
    Looks good
    Writing Makefile for MRO::Compat
    Can'
    t exec "make"Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      FLORA
    /MRO-Compat-0.11.tar.gz
      make 
    -- NOT OK
    Running make test
      Can
    't test without successful make
    Running make install
      Make had returned bad status, install seems impossible
    Running make for A/AM/AMBRUS/Object-Import-1.002.tar.gz
      Has already been unwrapped into directory /root/.cpan/build/Object-Import-1.002-0gvgp8

      CPAN.pm: Going to build A/AM/AMBRUS/Object-Import-1.002.tar.gz

    Warning: Prerequisite '
    MRO::Compat => 0' for 'AMBRUS/Object-Import-1.002.tar.gz' failed when processing 'FLORA/MRO-Compat-0.11.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.
    Can'
    t exec "make"Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      AMBRUS
    /Object-Import-1.002.tar.gz
      make 
    -- NOT OK
    Running make test
      Can
    't test without successful make
    Running make install
      Make had returned bad status, install seems impossible
    Running install for module '
    Shell::Command'
    Running make for F/FL/FLORA/Shell-Command-0.06.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/F/FL/FLORA/Shell-Command-0.06.tar.gz
    Checksum for /root/.cpan/sources/authors/id/F/FL/FLORA/Shell-Command-0.06.tar.gz ok

      CPAN.pm: Going to build F/FL/FLORA/Shell-Command-0.06.tar.gz

    Checking if your kit is complete...
    Looks good
    Writing Makefile for Shell::Command
    Can'
    t exec "make"Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      FLORA
    /Shell-Command-0.06.tar.gz
      make 
    -- NOT OK
    Running make test
      Can
    't test without successful make
    Running make install
      Make had returned bad status, install seems impossible
    Running install for module '
    MozRepl::RemoteObject'
    Running make for C/CO/CORION/MozRepl-RemoteObject-0.28.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/C/CO/CORION/MozRepl-RemoteObject-0.28.tar.gz
    Checksum for /root/.cpan/sources/authors/id/C/CO/CORION/MozRepl-RemoteObject-0.28.tar.gz ok

      CPAN.pm: Going to build C/CO/CORION/MozRepl-RemoteObject-0.28.tar.gz

    Checking if your kit is complete...
    Looks good
    Warning: prerequisite IPC::Run 0 not found.
    Warning: prerequisite JSON 2 not found.
    Warning: prerequisite MozRepl 0.06 not found.
    Warning: prerequisite Task::Weaken 0 not found.
    Writing Makefile for MozRepl::RemoteObject
    ---- Unsatisfied dependencies detected during ----
    ----  CORION/MozRepl-RemoteObject-0.28.tar.gz ----
        MozRepl [requires]
        IPC::Run [requires]
        Task::Weaken [requires]
        JSON [requires]
    Running make test
      Delayed until after prerequisites
    Running make install
      Delayed until after prerequisites
    Running install for module '
    MozRepl'
    Running make for Z/ZI/ZIGOROU/MozRepl-0.06.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/Z/ZI/ZIGOROU/MozRepl-0.06.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/Z/ZI/ZIGOROU/CHECKSUMS
    Checksum for /root/.cpan/sources/authors/id/Z/ZI/ZIGOROU/MozRepl-0.06.tar.gz ok

      CPAN.pm: Going to build Z/ZI/ZIGOROU/MozRepl-0.06.tar.gz

    *** Module::AutoInstall version 1.03
    *** Checking for Perl dependencies...
    [Core Features]
    - Carp::Clan                   ...missing.
    - Class::Accessor::Fast        ...missing.
    - Class::Data::Inheritable     ...missing.
    - Data::Dump                   ...missing.
    - Data::JavaScript::Anon       ...missing.
    - File::Spec                   ...loaded. (3.3101)
    - Module::Pluggable::Fast      ...missing.
    - Net::Telnet                  ...missing.
    - Template                     ...missing.
    - Template::Provider::FromDATA ...missing.
    - Text::SimpleTable            ...missing.
    - UNIVERSAL::require           ...missing.
    - URI                          ...loaded. (1.58)
    ==> Auto-install the 11 mandatory module(s) from CPAN? [Y/n] y

    *** Since we'
    re running under CPANPLUSI'll just let it take care
        of the dependency'
    s installation later.
    *** 
    Module::AutoInstall configuration finished.
    Checking if your kit is complete...
    Looks good
    Warning
    prerequisite Carp::Clan 0 not found.
    Warningprerequisite Class::Accessor::Fast 0 not found.
    Warningprerequisite Class::Data::Inheritable 0 not found.
    Warningprerequisite Data::Dump 0 not found.
    Warningprerequisite Data::JavaScript::Anon 0 not found.
    Warningprerequisite Module::Pluggable::Fast 0 not found.
    Warningprerequisite Net::Telnet 0 not found.
    Warningprerequisite Template 0 not found.
    Warningprerequisite Template::Provider::FromDATA 0 not found.
    Warningprerequisite Text::SimpleTable 0 not found.
    Warningprerequisite UNIVERSAL::require 0 not found.
    Writing Makefile for MozRepl
    ---- Unsatisfied dependencies detected during ----
    ----        
    ZIGOROU/MozRepl-0.06.tar.gz       ----
        
    Module::Pluggable::Fast [requires]
        
    Template::Provider::FromDATA [requires]
        Class::
    Accessor::Fast [requires]
        
    Data::Dump [requires]
        Class::
    Data::Inheritable [requires]
        
    Text::SimpleTable [requires]
        
    Template [requires]
        
    Carp::Clan [requires]
        
    Data::JavaScript::Anon [requires]
        
    Net::Telnet [requires]
        
    UNIVERSAL::require [requires]
    Running make test
      Delayed until after prerequisites
    Running make install
      Delayed until after prerequisites
    Running install 
    for module 'Module::Pluggable::Fast'
    Running make for M/MR/MRAMBERG/Module-Pluggable-Fast-0.19.tar.gz
    Fetching with LWP
    :
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/M/MR/MRAMBERG/Module-Pluggable-Fast-0.19.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/M/MR/MRAMBERG/CHECKSUMS
    Checksum for /root/.cpan/sources/authors/id/M/MR/MRAMBERG/Module-Pluggable-Fast-0.19.tar.gz ok

      CPAN
    .pmGoing to build M/MR/MRAMBERG/Module-Pluggable-Fast-0.19.tar.gz

    Checking 
    if your kit is complete...
    Looks good
    Warning
    prerequisite UNIVERSAL::require 0 not found.
    Writing Makefile for Module::Pluggable::Fast
    ----  Unsatisfied dependencies detected during  ----
    ---- 
    MRAMBERG/Module-Pluggable-Fast-0.19.tar.gz ----
        
    UNIVERSAL::require [requires]
    Running make test
      Delayed until after prerequisites
    Running make install
      Delayed until after prerequisites
    Running install 
    for module 'UNIVERSAL::require'
    Running make for M/MS/MSCHWERN/UNIVERSAL-require-0.13.tar.gz
    Fetching with LWP
    :
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/M/MS/MSCHWERN/UNIVERSAL-require-0.13.tar.gz
    Checksum for /root/.cpan/sources/authors/id/M/MS/MSCHWERN/UNIVERSAL-require-0.13.tar.gz ok

      CPAN
    .pmGoing to build M/MS/MSCHWERN/UNIVERSAL-require-0.13.tar.gz

    Checking 
    if your kit is complete...
    Looks good
    Writing Makefile 
    for UNIVERSAL::require
    Can't exec "make": Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      MSCHWERN/UNIVERSAL-require-0.13.tar.gz
      make -- NOT OK
    Running make test
      Can'
    t test without successful make
    Running make install
      Make had returned bad status
    install seems impossible
    Running make 
    for M/MR/MRAMBERG/Module-Pluggable-Fast-0.19.tar.gz
      Has already been unwrapped into directory 
    /root/.cpan/build/Module-Pluggable-Fast-0.19-iMlazZ

      CPAN
    .pmGoing to build M/MR/MRAMBERG/Module-Pluggable-Fast-0.19.tar.gz

    Warning
    Prerequisite 'UNIVERSAL::require => 0' for 'MRAMBERG/Module-Pluggable-Fast-0.19.tar.gz' failed when processing 'MSCHWERN/UNIVERSAL-require-0.13.tar.gz' with 'make => NO'Continuingbut chances to succeed are limited.
    Can't exec "make": Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      MRAMBERG/Module-Pluggable-Fast-0.19.tar.gz
      make -- NOT OK
    Running make test
      Can'
    t test without successful make
    Running make install
      Make had returned bad status
    install seems impossible
    Running install 
    for module 'Template::Provider::FromDATA'
    Running make for B/BR/BRICAS/Template-Provider-FromDATA-0.12.tar.gz
    Fetching with LWP
    :
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/B/BR/BRICAS/Template-Provider-FromDATA-0.12.tar.gz
    Fetching with LWP:
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/B/BR/BRICAS/CHECKSUMS
    Checksum for /root/.cpan/sources/authors/id/B/BR/BRICAS/Template-Provider-FromDATA-0.12.tar.gz ok
    ----    Unsatisfied dependencies detected during   ----
    ---- 
    BRICAS/Template-Provider-FromDATA-0.12.tar.gz ----
        
    ExtUtils::MakeMaker [build_requires]
    Running make test
      Make had some problems
    won't test
      Delayed until after prerequisites
    Running make install
      Make had some problems, won'
    t install
      Delayed until after prerequisites
    Running install 
    for module 'ExtUtils::MakeMaker'
    Running make for M/MS/MSCHWERN/ExtUtils-MakeMaker-6.62.tar.gz
    Fetching with LWP
    :
    ftp://ftp.hosteurope.de/pub/CPAN/authors/id/M/MS/MSCHWERN/ExtUtils-MakeMaker-6.62.tar.gz
    Checksum for /root/.cpan/sources/authors/id/M/MS/MSCHWERN/ExtUtils-MakeMaker-6.62.tar.gz ok

      CPAN
    .pmGoing to build M/MS/MSCHWERN/ExtUtils-MakeMaker-6.62.tar.gz

    Using included version of JSON
    ::PP::Compat5006 (1.09because it is not already installed.
    Using included version of version (0.88) as it is newer than the installed version (0.82).
    Using included version of ExtUtils::Manifest (1.58) as it is newer than the installed version (1.57).
    Using included version of Parse::CPAN::Meta (1.4401) as it is newer than the installed version (1.40).
    Using included version of CPAN::Meta::YAML (0.003because it is not already installed.
    Using included version of JSON::PP (2.27104because it is not already installed.
    Using included version of CPAN::Meta (2.112150because it is not already installed.
    Using included version of File::Copy::Recursive (0.38because it is not already installed.
    Using included version of Version::Requirements (0.101020because it is not already installed.
    Checking if your kit is complete...
    Looks good
    Writing Makefile 
    for ExtUtils::MakeMaker
    Writing MYMETA
    .yml and MYMETA.json
    Can
    't exec "make": Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.12.3/CPAN/Distribution.pm line 2026.
      MSCHWERN/ExtUtils-MakeMaker-6.62.tar.gz
      make -- NOT OK
    Running make test
      Can'
    t test without successful make


    Running make test
    [B]
    [...] [/
    B]
    [
    B] and so forth[/B
    any idea here - look forward to hear form you

    greetings
    db1

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    24,207
    Blog Entries
    15

    Default Re: How to install Make on my OpenSuse 11.4

    Quote Originally Posted by dilbertone
    hi at all


    well i guess that i still *miss MAKE ( which is obviously GNU make -
    isnt it !?) *

    Code:
    Can't locate HTML/Selector/XPath.pm in @INC (@INC
    contains: /usr/lib/perl5/site_perl/5.12.3/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.12.3 /usr/lib/perl5/vendor_perl/5.12.3/i586-linux-thread-multi /usr/lib/perl5/vendor_perl/5.12.3 /usr/lib/perl5/5.12.3/i586-linux-thread-multi /usr/lib/perl5/5.12.3 .
    lib) at ./examples/../lib/WWW/Mechanize/Firefox.pm line 10. BEGIN
    failed--compilation aborted
    at ./examples/../lib/WWW/Mechanize/Firefox.pm line 10. Compilation
    failed in require at examples/gen_examples_pod.pl line 32.
    Hi
    NO, look at the errors your make is FINE

    All of those "Warnings" need to be built first and installed..... and so
    the list will go on.....

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.9-desktop
    up 8:22, 5 users, load average: 0.17, 0.21, 0.13
    GPU GeForce 8600 GTS Silent - Driver Version: 290.10
    Last edited by malcolmlewis; 09-Dec-2011 at 17:19. Reason: Add missing code tag.

  8. #8

    Default Re: How to install Make on my OpenSuse 11.4

    install gcc

  9. #9

    Default Re: How to install Make on my OpenSuse 11.4

    The following command will probably install the tools you need:
    Code:
    sudo zypper in -t pattern devel_basis
    The perl pattern might be useful too:
    Code:
    sudo zypper in -t pattern devel_perl

  10. #10
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: How to install Make on my OpenSuse 11.4

    Or from YaST, you can do this:

    Open YaST / Software / Software Management - Select the View Button on the top left and pick Patterns. Now, you will see several Patterns listed and you want to select:

    Code:
       Development 
    
    [X] Base Development
    [X] C/C++ Development
    [X] Perl Development
    Then Press the Accept button on the bottom right and allow these applications to install.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •